Target product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-target-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "86216189"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-target-products"
payload = { "product": "86216189" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '86216189'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-target-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "target_product",
"product": "86216189",
"product_id": "86216189",
"human": "# Target product\n\n- **Product (TCIN):** 86216189\n- **Proxy traffic:** 16.2 KB\n- **Title:** LEGO Creator 3 in 1 Space Shuttle & Spaceship Toys 31134\n- **Brand:** LEGO\n- **Price:** 7.99 USD (was 9.89) — on sale\n- **Rating:** 4.79 (541 ratings, 106 reviews)\n- **Category:** Building Sets",
"machine": {
"product": {
"id": "86216189",
"url": "https://www.target.com/p/lego-creator-3-in-1-space-shuttle-38-spaceship-toys-31134/-/A-86216189",
"alias": "lego-creator-3-in-1-space-shuttle-38-spaceship-toys-31134",
"brand": "LEGO",
"brand_url": "https://www.target.com/b/lego/-/N-56h5n",
"title": "LEGO Creator 3 in 1 Space Shuttle & Spaceship Toys 31134",
"price": 7.99,
"list_price": 9.89,
"currency": "USD",
"unit_price": null,
"unit_price_measure": null,
"save_percent": 19,
"is_on_sale": true,
"image": "https://target.scene7.com/is/image/Target/GUEST_4821aabf-378b-4dc5-888e-569c3b94e307",
"images": [
"https://target.scene7.com/is/image/Target/GUEST_4821aabf-378b-4dc5-888e-569c3b94e307",
"https://target.scene7.com/is/image/Target/GUEST_3f882c7e-663e-413f-b19a-d05b409870af"
],
"videos": [
{
"url": "https://target.scene7.com/is/content/Target/GUEST_d553fc59-1b09-4f7b-b890-feed1b8d06da",
"poster_image": "https://target.scene7.com/is/image/Target/GUEST_d553fc59-1b09-4f7b-b890-feed1b8d06da",
"title": "86216189 LEGO 31134",
"length_seconds": 7
}
],
"rating": 4.79,
"rating_count": 541,
"review_count": 106,
"question_count": 6,
"recommended_percentage": 98,
"rating_five_count": 478,
"rating_four_count": 37,
"rating_three_count": 8,
"rating_two_count": 6,
"rating_one_count": 12,
"secondary_ratings": [
{
"name": "broad age appeal",
"value": 4.78
},
{
"name": "ease of use",
"value": 4.75
}
],
"description": "Space adventurers can enjoy thrilling intergalactic action with this LEGO Creator 3 in 1 Space Shuttle (31134) toy playset for kids ages 6 plus years old. The play possibilities among the stars are en",
"specifications": [
{
"name": "Number of Pieces",
"value": "144"
},
{
"name": "Suggested Age",
"value": "6 Years and Up"
}
],
"features": [
"LEGO Creator 3 in 1 space toy building set features a space shuttle which rebuilds into an astronaut figure with jointed limbs or a spaceship toy",
"Kids ages 6+ can choose to build the supercool space shuttle toy with an opening hatch which contains a removable and extendable satellite inside"
],
"breadcrumbs": [
"Toys & Games",
"Building Toys"
],
"category": "Building Sets",
"category_id": "5e002",
"item_type": "Building Sets",
"department": "PRESCHOOL/SEASONAL TOYS",
"import_designation": "Made in the USA or Imported",
"barcode": "673419373609",
"package_dimensions": {
"width": 5.46,
"height": 7.46,
"depth": 2.09,
"dimension_unit": "INCH",
"weight": 0.43,
"weight_unit": "POUND"
},
"is_free_shipping": false,
"badges": [
"Trending",
"Rarely returned"
],
"return_policies": [
{
"user_type": "best_guest",
"day_count": 120
},
{
"user_type": "regular_guest",
"day_count": 90
}
],
"variants": []
},
"proxy_traffic_bytes": 16608
},
"total_points": 5
}E-commerce & Marketplaces
Target product
Get one Target product by TCIN or URL: price, ratings breakdown, images, specifications, features, variants, dimensions and return policy. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-target-products
Target product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
TCIN or product URL. e.g. 86216189
Response
Run completed.